<?php 
require_once '../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(6, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(3, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../');
	exit;
}


if(isset($action) AND $action=='modifier'){

	/******************************/
	/**  Traitement des erreurs  **/
	/******************************/
/*	if($joueur_profil!='acc' AND $joueur_taille_polo=='0'){
		$erreur_message .= "- la taille du polo est manquante<br>";
	}
	if($joueur_equipe_id=='0'){
		$erreur_message .= "- le nom de l'équipe est manquant<br>";
	}
	if(!isset($joueur_sexe)){
		$erreur_message .= "- le sexe est manquant<br>";
	}
	if(strlen(trim($joueur_nom))==0){
		$erreur_message .= "- le nom est manquant<br>";
	}
	if(strlen(trim($joueur_prenom))==0){
		$erreur_message .= "- le prénom est manquant<br>";
	}
	if($joueur_profil!='acc'){
		if(strlen(trim($joueur_adresse_1))==0){
			$erreur_message .= "- l'adresse est manquante<br>";
		}
		if(strlen(trim($joueur_code_postal))==0){
			$erreur_message .= "- le code postal est manquant<br>";
		}
		if(strlen(trim($joueur_ville))==0){
			$erreur_message .= "- la ville est manquante<br>";
		}
		if($joueur_pays=='0'){
			$erreur_message .= "- le pays est manquant<br>";
		}
		if(strlen(trim($joueur_email))==0){
			$erreur_message .= "- l'adresse e-mail est manquante<br>";
		}
	}
*/
	/******************************/
	/**  Traitement des données  **/
	/******************************/
	$joueur_prenom = preg_replace('/-/', ' ', $joueur_prenom);


	$chambre_double = htmlentities($chambre_double, ENT_QUOTES);


	/****************************************/
	/**  Enregistrement des modifications  **/
	/****************************************/
	if($erreur_message==''){

		// Requête de mise à jour du joueur
		$requete_maj = mysqli_query($connexion_mysql, 'UPDATE hebergements SET chambre_double="'.$chambre_double.'", qtte="'.$qtte.'", vue_piscine="'.$vue_piscine.'", hotel="'.$hotel.'" WHERE ID="'.$ID.'"');

		header('Location: ./');
		exit;

	}else{
		$joueur_licence = stripslashes($joueur_licence);
		$joueur_club = stripslashes($joueur_club);
		$joueur_nom = stripslashes($joueur_nom);
		$joueur_prenom = stripslashes($joueur_prenom);
		$joueur_adresse_1 = stripslashes($joueur_adresse_1);
		$joueur_adresse_2 = stripslashes($joueur_adresse_2);
		$joueur_code_postal = stripslashes($joueur_code_postal);
		$joueur_ville = stripslashes($joueur_ville);
		$joueur_email = stripslashes($joueur_email);
		$joueur_mobile = stripslashes($joueur_mobile);
		$joueur_telephone = stripslashes($joueur_telephone);
	}

}


if(isset($erreur_message) AND $erreur_message==''){


	$requete_heb = mysqli_query($connexion_mysql, 'SELECT hotel, chambre_double, vue_piscine, qtte FROM hebergements WHERE ID="'.$ID.'"');

	$res_hub = mysqli_fetch_array($requete_heb);


	$hotel = $res_hub[0];
	$chambre_double = $res_hub[1];
	$vue_piscine = $res_hub[2];
	$qtte = $res_hub[3];

}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title><?=$admin_titre?></title>
	<link rel="shortcut icon" type="image/png" href="<?=$admin_domaine?>favicon.png">
	<link rel="stylesheet" type="text/css" href="<?=$admin_css_page?>">
	<script type="text/javascript" src="<?=$admin_js?>jquery/jquery.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>commun.js"></script>
	<meta name="robots" content="none">
	<script type="text/javascript">
		function joueur_profil_details(profil){
			if(profil=='pro' || profil=='am'){
				document.getElementById('calque_joueur_pro_am').style.display = 'block';
				document.getElementById('calque_joueur_acc').style.display = 'none';
				if(profil=='pro'){
					document.getElementById('calque_pro_profil_handicap').style.display = 'none';
				}else{
					document.getElementById('calque_pro_profil_handicap').style.display = 'block';
				}
			}else{
				document.getElementById('calque_joueur_pro_am').style.display = 'none';
				document.getElementById('calque_joueur_acc').style.display = 'block';
			}
		}
	</script>
</head>

<body>

<?php 
include $general_path_relatif.'sources/entete.inc';
include $general_path_relatif.'sources/menu.inc';
?>

<div id="contenu_1"<?=$correction_contenu_1?>><div id="contenu_2">

	<div id="contenu_3" align="left" style="width: 650px;">

		<?php if($nb_equipes_joueur>1){ ?>

			<div id="titres">
				<span class="titre_1" style="width: 368px;"><a href="./">Hébergements</a> <span class="separateur">/</span> <span class="titre_2">Modifier</span></span>
			</div>
			<br clear="all">

			<div id="bloc_bis">

				<div align="center" style="margin: 20px 0px 40px 0px;"><div id="message_erreur" align="left">
					<b><u>AVERTISSSEMENT</u></b><br>
					<img src="<?=$adm_img?>p.gif" width="1" height="10"><br>
					Le joueur « <b><?=$joueur_prenom.' '.$joueur_nom?></b> » est présent dans plusieurs équipes.<br>
					<img src="<?=$adm_img?>p.gif" width="1" height="5"><br>
					Pour afficher la fiche de ce joueur, merci de garder ce joueur que dans une seule équipe.
				</div></div>

			</div>

		<?php }else{ ?>

			<div id="titres">
				<span class="titre_1" style="width: 368px;"><a href="./">Hébergements</a> <span class="separateur">/</span> <span class="titre_2">Modifier</span></span>
				<span class="ajouter" style="width: 270px;"><a href="./envoyer_confirmation.php?ID=<?=$ID?>">Envoyer un e-mail de confirmation</a></span>
			</div>
			<br clear="all">

			<div id="bloc_bis">

				<?php if(isset($erreur_message) AND $erreur_message!=''){ ?>
					<div align="center"><div id="message_erreur" align="left"><b><?=$erreur_message_introduction.'</b><br>'.$erreur_message?></div></div>
				<?php } ?>

				<form name="modifier" action="<?=$PHP_SELF?>" method="post" enctype="multipart/form-data">

					<input type="hidden" name="action" value="modifier">
					<input type="hidden" name="ID" value="<?=$ID?>">
					<input type="hidden" name="joueur_profil" value="<?=$joueur_profil?>">
					<input type="hidden" name="joueur_profil_nom" value="<?=$joueur_profil_nom?>">
					<input type="hidden" name="equipe_nom" value="<?=$equipe_nom?>">
					<input type="hidden" name="joueur_accompagnant" value="<?=$joueur_accompagnant?>">
					<input type="hidden" name="nb_equipes_joueur" value="<?=$nb_equipes_joueur?>">
					<input type="hidden" name="joueur_equipe_id" value="<?=$joueur_equipe_id?>">

			

					<div id="formulaire_ligne_intertitre">INFORMATIONS</div>

					<div id="formulaire_ligne">
						<div id="formulaire_libelle">Chambre double</div>
						<div id="formulaire_champ" style="width: 500px;">
							<input type="radio" id="joueur_sexe_homme" name="chambre_double" value=1 <?php if($chambre_double==1){ echo 'checked'; } ?>> <label for="joueur_sexe_homme">Oui</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" id="joueur_sexe_femme" name="chambre_double" value=0 <?php if($chambre_double==0){ echo 'checked'; } ?>> <label for="joueur_sexe_femme">Non</label>
						</div>
						<br clear="all">
					</div>

					

					<div id="formulaire_ligne">
						<div id="formulaire_libelle">Vue piscine</div>
						<div id="formulaire_champ" style="width: 500px;">
							<input type="radio" id="joueur_sexe_homme" name="vue_piscine" value=1 <?php if($vue_piscine==1){ echo 'checked'; } ?>> <label for="joueur_sexe_homme">Oui</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" id="joueur_sexe_femme" name="vue_piscine" value=0 <?php if($vue_piscine==0){ echo 'checked'; } ?>> <label for="joueur_sexe_femme">Non</label>
						</div>
						<br clear="all">
					</div>


					<div id="formulaire_ligne">
						<div id="formulaire_libelle_obligatoire">Nom hôtel</div>
						<div id="formulaire_champ" style="width: 195px;"><input type="text" name="hotel" value="<?=$hotel?>" class="input" style="width: 164px;"></div>
						<div id="formulaire_libelle_obligatoire" style="width: 90px;">Quantité</div>
						<div id="formulaire_champ" style="width: 195px;"><input type="text" name="qtte" value="<?=$qtte?>" class="input" style="width: 164px;"></div>
						<br clear="all">
					</div>



					<br>

					<div id="formulaire_boutons"><input type="image" src="<?=$admin_img?>btn_enregistrer.png" width="150" height="32" align="absmiddle" style="margin: 15px 5px 20px 0px;"> ou&nbsp; <a href="./" class="lien_annuler">annuler</a></div>

				</form>

			</div>

		<?php } ?>

	</div>
	<br clear="all">

</div></div>

<?php include $general_path_relatif.'sources/pied_page.inc'; ?>

<?php if($nb_equipes_joueur==1){ ?>

	<script language="Javascript">
		<!-- 
		document.modifier.joueur_nom.focus();
		//-->
	</script>

<?php } ?>

</body>
</html>
